public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/minitest-bonus-assertions/
Date: Tue, 13 Jul 2021 09:20:53 +0000 (UTC)	[thread overview]
Message-ID: <1626168046.c02c69b1fe9ec0f1c148bd6a3715e3049c785c93.graaff@gentoo> (raw)

commit:     c02c69b1fe9ec0f1c148bd6a3715e3049c785c93
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 13 07:02:09 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 09:20:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c02c69b1

dev-ruby/minitest-bonus-assertions: add ruby30; EAPI7; fix tests

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../minitest-bonus-assertions-3.0-r1.ebuild        | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ruby/minitest-bonus-assertions/minitest-bonus-assertions-3.0-r1.ebuild b/dev-ruby/minitest-bonus-assertions/minitest-bonus-assertions-3.0-r1.ebuild
new file mode 100644
index 00000000000..21e882e7047
--- /dev/null
+++ b/dev-ruby/minitest-bonus-assertions/minitest-bonus-assertions-3.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Bonus assertions for minitest"
+HOMEPAGE="https://github.com/halostatue/minitest-bonus-assertions"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest dev-ruby/minitest-pretty_diff )"
+
+all_ruby_prepare() {
+	sed -i -e '/\(bisect\|focus\|moar\)/ s:^:#:' test/minitest_config.rb || die
+
+	# assert the right value (as specified in the text of the test)
+	# this probably needs more investigation, but this package is only used
+	# by another package from the same author so we'll go with it
+	sed -i -e '140 s/true/false/' -e '216 s/false/true/' test/test_minitest-bonus-assertions.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2021-07-13  9:20 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-13  9:20 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-31  6:41 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/minitest-bonus-assertions/ Hans de Graaff
2023-04-01 23:19 Sam James
2022-07-13  9:05 Hans de Graaff
2022-05-26  7:17 Hans de Graaff
2022-05-21  9:20 Hans de Graaff
2022-05-19 13:36 Agostino Sarubbo
2022-05-19  9:29 Agostino Sarubbo
2022-05-17  9:19 Agostino Sarubbo
2022-05-17  9:18 Agostino Sarubbo
2022-05-11 14:51 Agostino Sarubbo
2022-05-11 12:59 Agostino Sarubbo
2022-04-26 14:38 Sam James
2021-10-17  6:31 Sam James
2021-08-02 21:48 Marek Szuba
2020-07-14 16:38 Sergei Trofimovich
2020-01-26  8:28 Hans de Graaff
2019-04-21  5:54 Hans de Graaff
2019-01-10  8:23 Hans de Graaff
2018-03-08  6:47 Hans de Graaff
2018-02-25  7:47 Hans de Graaff
2017-07-29 14:32 Alexis Ballier
2017-07-01 10:07 Sergei Trofimovich
2017-06-10  5:48 Hans de Graaff
2017-05-26  7:08 Michael Weber
2017-04-28  5:38 Hans de Graaff
2016-10-02 11:32 Jeroen Roovers
2016-10-02 10:55 Jeroen Roovers
2016-07-14  5:52 Hans de Graaff
2016-06-14 19:32 Markus Meier
2016-06-08 11:33 Tobias Klausmann
2016-06-08 11:04 Hans de Graaff
2016-05-21 10:08 Fabian Groffen
2016-05-21 10:08 Fabian Groffen
2015-11-22  8:29 Hans de Graaff
2015-11-22  8:29 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1626168046.c02c69b1fe9ec0f1c148bd6a3715e3049c785c93.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox